Subject: Re: Relative paths don't work in .gitignore as would be expected.

From: Stefan Beller <[email-masked]>
Date: Sun, 01 Feb 2015 21:57:30 -0800

On 01.02.2015 14:51, /#!/JoePea wrote:
> I have this in my .gitignore:
> 
>   ./*.js
> 
> I would expect that to cause git to ignore .js files in the same
> folder as .gitignore, but it doesn't do anything. However, this works:
> 
>   /*.js
> 
> I'm not sure what this actually means because a leading slash is the
> root of some filesystem, 

That's true, though you'd never (barely?) git version control an entire
file system?

A trailing "/**" matches everything inside. For example, "abc/**"
matches all files inside directory "abc", relative to the location
of the .gitignore file, with infinite depth.
(from man gitignore, though reading that and not finding a './' it may
need improvement